---
id: 6859290fc8e07e6b2a8d8523
title: Step 12
challengeType: 20
dashedName: step-12
---

# --description--

Remove the two `print` calls and add a `return` statement that returns `secret_code` on the last line in the function.

# --hints--

You should not have a `print` call.

```js
({
    test: () => runPython(`
    assert not _Node(_code).block_has_call('print')
    `)
})
```

The `pin_extractor` function should return `secret_code` at the end.

```js
({
    test: () => runPython(`
    assert _Node(_code).find_function('pin_extractor').has_return('secret_code')
    `)
})
```

`pin_extractor(poem)` should return `5262`.


```js
({
    test: () => runPython(`
    assert pin_extractor(poem) == '5262'
    `)
})
```

# --seed--

## --seed-contents--

```py
def pin_extractor(poem):
    secret_code = ''
    lines = poem.split('\n')
    for line_index, line in enumerate(lines):
--fcc-editable-region--
        print(line_index, line)
        words = line.split()
        print(str(len(words[line_index])))
        secret_code += str(len(words[line_index]))
    
--fcc-editable-region--


poem = """Stars and the moon
shine in the sky
white and bright
until the end of the night"""

pin_extractor(poem)

```
